package com.sybase.powerbuilder.ejb;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import java.util.Properties;
import javax.ejb.EJBHome;
import javax.ejb.EJBLocalHome;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.rmi.PortableRemoteObject;
import javax.transaction.UserTransaction;

public class EJBLocator {
  public static Context connectToServer(String[] paramArrayOfString) throws NamingException {
    if (paramArrayOfString == null || paramArrayOfString.length == 0)
      return new InitialContext(); 
    Properties properties = new Properties();
    for (byte b = 0; b < paramArrayOfString.length; b++) {
      int i = paramArrayOfString[b].indexOf('=');
      if (i > 0 && i < paramArrayOfString[b].length()) {
        String str1 = paramArrayOfString[b].substring(0, i);
        String str2 = paramArrayOfString[b].substring(i + 1);
        int j = str1.lastIndexOf('.');
        if (j > 0 && j < str1.length()) {
          String str3 = str1.substring(0, j);
          String str4 = str1.substring(j + 1);
          if (str4.compareTo("INITIAL_CONTEXT_FACTORY") == 0) {
            properties.put("java.naming.factory.initial", str2);
          } else if (str4.compareTo("PROVIDER_URL") == 0) {
            properties.put("java.naming.provider.url", str2);
          } else if (str4.compareTo("SECURITY_PRINCIPAL") == 0) {
            properties.put("java.naming.security.principal", str2);
          } else if (str4.compareTo("SECURITY_CREDENTIALS") == 0) {
            properties.put("java.naming.security.credentials", str2);
          } else {
            properties.put(str1, str2);
          } 
        } 
      } 
    } 
    return new InitialContext(properties);
  }
  
  public static EJBHome locate(Context paramContext, String paramString1, String paramString2) throws NamingException, ClassNotFoundException {
    Object object = paramContext.lookup(paramString1);
    Class clazz = Class.forName(paramString2);
    return (EJBHome)PortableRemoteObject.narrow(object, clazz);
  }
  
  public static EJBLocalHome locateInLocal(Context paramContext, String paramString) throws NamingException, ClassNotFoundException {
    return (EJBLocalHome)paramContext.lookup(paramString);
  }
  
  public static UserTransaction getUserTransaction(Context paramContext) throws NamingException {
    return (UserTransaction)paramContext.lookup("javax.transaction.UserTransaction");
  }
  
  public static void disconnectServer(Context paramContext) throws NamingException {
    paramContext.close();
  }
}
